import{s as be,n as _e,o as $e}from"../chunks/scheduler.7da89386.js";import{S as xe,i as ye,g as i,s as o,r as F,A as Se,h as s,f as n,c as a,j as T,u as w,x as H,k as M,y as t,a as m,v as D,d as L,t as C,w as P}from"../chunks/index.0b7befd3.js";import{D as R}from"../chunks/Docstring.519b22f2.js";import{H as ve}from"../chunks/Heading.8a936589.js";function Fe(le){let f,K,V,W,v,j,d,b,Z,k,ce="A SetFit model with integration to the Hugging Face Hub.",ee,p,_,te,E,me="Creates and saves a model card for a SetFit model.",ne,g,$,oe,N,fe="Move this SetFitModel to <code>device</code>, and then return <code>self</code>. This method does not copy.",B,x,G,l,y,ae,I,pe=`A SetFit head that supports multi-class classification for end-to-end training.
Binary classification is treated as 2-class classification.`,re,U,ge=`To be compatible with Sentence Transformers, we inherit <code>Dense</code> from:
<a href="https://github.com/UKPLab/sentence-transformers/blob/master/sentence_transformers/models/Dense.py" rel="nofollow">https://github.com/UKPLab/sentence-transformers/blob/master/sentence_transformers/models/Dense.py</a>`,ie,c,S,se,A,ue="SetFitHead can accept embeddings in:",de,O,he="<li>Output format (<code>dict</code>) from Sentence-Transformers.</li> <li>Pure <code>torch.Tensor</code>.</li>",J,q,Q;return v=new ve({props:{title:"SetFitModel",local:"setfit.SetFitModel",headingTag:"h1"}}),b=new R({props:{name:"class setfit.SetFitModel",anchor:"setfit.SetFitModel",parameters:[{name:"model_body",val:": typing.Optional[sentence_transformers.SentenceTransformer.SentenceTransformer] = None"},{name:"model_head",val:": typing.Union[setfit.modeling.SetFitHead, sklearn.linear_model._logistic.LogisticRegression, NoneType] = None"},{name:"multi_target_strategy",val:": typing.Optional[str] = None"},{name:"l2_weight",val:": float = 0.01"},{name:"normalize_embeddings",val:": bool = False"}],source:"https://github.com/huggingface/setfit/blob/main/src/setfit/modeling.py#L255"}}),_=new R({props:{name:"create_model_card",anchor:"setfit.SetFitModel.create_model_card",parameters:[{name:"path",val:": str"},{name:"model_name",val:": typing.Optional[str] = 'SetFit Model'"}],parametersDescription:[{anchor:"setfit.SetFitModel.create_model_card.path",description:"<strong>path</strong> (str) &#x2014; The path to save the model card to.",name:"path"},{anchor:"setfit.SetFitModel.create_model_card.model_name",description:"<strong>model_name</strong> (str, <em>optional</em>) &#x2014; The name of the model. Defaults to <code>SetFit Model</code>.",name:"model_name"}],source:"https://github.com/huggingface/setfit/blob/main/src/setfit/modeling.py#L474"}}),$=new R({props:{name:"to",anchor:"setfit.SetFitModel.to",parameters:[{name:"device",val:": typing.Union[str, torch.device]"}],parametersDescription:[{anchor:"setfit.SetFitModel.to.device",description:"<strong>device</strong> (Union[str, torch.device]) &#x2014; The identifier of the device to move the model to.",name:"device"}],source:"https://github.com/huggingface/setfit/blob/main/src/setfit/modeling.py#L455",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>Returns the original model, but now on the desired device.</p>
`,returnType:`<script context="module">export const metadata = 'undefined';<\/script>


<p>SetFitModel</p>
`}}),x=new ve({props:{title:"SetFitHead",local:"setfit.SetFitHead",headingTag:"h1"}}),y=new R({props:{name:"class setfit.SetFitHead",anchor:"setfit.SetFitHead",parameters:[{name:"in_features",val:": typing.Optional[int] = None"},{name:"out_features",val:": int = 2"},{name:"temperature",val:": float = 1.0"},{name:"eps",val:": float = 1e-05"},{name:"bias",val:": bool = True"},{name:"device",val:": typing.Union[torch.device, str, NoneType] = None"},{name:"multitarget",val:": bool = False"}],parametersDescription:[{anchor:"setfit.SetFitHead.in_features",description:`<strong>in_features</strong> (<code>int</code>, <em>optional</em>) &#x2014;
The embedding dimension from the output of the SetFit body. If <code>None</code>, defaults to <code>LazyLinear</code>.`,name:"in_features"},{anchor:"setfit.SetFitHead.out_features",description:`<strong>out_features</strong> (<code>int</code>, defaults to <code>2</code>) &#x2014;
The number of targets. If set <code>out_features</code> to 1 for binary classification, it will be changed to 2 as 2-class classification.`,name:"out_features"},{anchor:"setfit.SetFitHead.temperature",description:`<strong>temperature</strong> (<code>float</code>, defaults to <code>1.0</code>) &#x2014;
A logits&#x2019; scaling factor. Higher values make the model less confident and lower values make
it more confident.`,name:"temperature"},{anchor:"setfit.SetFitHead.eps",description:`<strong>eps</strong> (<code>float</code>, defaults to <code>1e-5</code>) &#x2014;
A value for numerical stability when scaling logits.`,name:"eps"},{anchor:"setfit.SetFitHead.bias",description:`<strong>bias</strong> (<code>bool</code>, <em>optional</em>, defaults to <code>True</code>) &#x2014;
Whether to add bias to the head.`,name:"bias"},{anchor:"setfit.SetFitHead.device",description:`<strong>device</strong> (<code>torch.device</code>, str, <em>optional</em>) &#x2014;
The device the model will be sent to. If <code>None</code>, will check whether GPU is available.`,name:"device"},{anchor:"setfit.SetFitHead.multitarget",description:`<strong>multitarget</strong> (<code>bool</code>, defaults to <code>False</code>) &#x2014;
Enable multi-target classification by making <code>out_features</code> binary predictions instead
of a single multinomial prediction.`,name:"multitarget"}],source:"https://github.com/huggingface/setfit/blob/main/src/setfit/modeling.py#L102"}}),S=new R({props:{name:"forward",anchor:"setfit.SetFitHead.forward",parameters:[{name:"features",val:": typing.Union[typing.Dict[str, torch.Tensor], torch.Tensor]"},{name:"temperature",val:": typing.Optional[float] = None"}],parametersDescription:[{anchor:"setfit.SetFitHead.forward.features",description:`<strong>features</strong> (<code>Dict[str, torch.Tensor]</code> or <code>torch.Tensor) -- The embeddings from the encoder. If using </code>dict\` format,
make sure to store embeddings under the key: &#x2018;sentence_embedding&#x2019;
and the outputs will be under the key: &#x2018;prediction&#x2019;.`,name:"features"},{anchor:"setfit.SetFitHead.forward.temperature",description:`<strong>temperature</strong> (<code>float</code>, <em>optional</em>) &#x2014;
A logits&#x2019; scaling factor. Higher values make the model less
confident and lower values make it more confident.
Will override the temperature given during initialization.`,name:"temperature"}],source:"https://github.com/huggingface/setfit/blob/main/src/setfit/modeling.py#L163",returnDescription:`<script context="module">export const metadata = 'undefined';<\/script>


<p>[<code>Dict[str, torch.Tensor]</code> or <code>Tuple[torch.Tensor]</code>]</p>
`}}),{c(){f=i("meta"),K=o(),V=i("p"),W=o(),F(v.$$.fragment),j=o(),d=i("div"),F(b.$$.fragment),Z=o(),k=i("p"),k.textContent=ce,ee=o(),p=i("div"),F(_.$$.fragment),te=o(),E=i("p"),E.textContent=me,ne=o(),g=i("div"),F($.$$.fragment),oe=o(),N=i("p"),N.innerHTML=fe,B=o(),F(x.$$.fragment),G=o(),l=i("div"),F(y.$$.fragment),ae=o(),I=i("p"),I.textContent=pe,re=o(),U=i("p"),U.innerHTML=ge,ie=o(),c=i("div"),F(S.$$.fragment),se=o(),A=i("p"),A.textContent=ue,de=o(),O=i("ol"),O.innerHTML=he,J=o(),q=i("p"),this.h()},l(e){const r=Se("svelte-u9bgzb",document.head);f=s(r,"META",{name:!0,content:!0}),r.forEach(n),K=a(e),V=s(e,"P",{}),T(V).forEach(n),W=a(e),w(v.$$.fragment,e),j=a(e),d=s(e,"DIV",{class:!0});var u=T(d);w(b.$$.fragment,u),Z=a(u),k=s(u,"P",{"data-svelte-h":!0}),H(k)!=="svelte-er30g"&&(k.textContent=ce),ee=a(u),p=s(u,"DIV",{class:!0});var X=T(p);w(_.$$.fragment,X),te=a(X),E=s(X,"P",{"data-svelte-h":!0}),H(E)!=="svelte-xp5gzy"&&(E.textContent=me),X.forEach(n),ne=a(u),g=s(u,"DIV",{class:!0});var Y=T(g);w($.$$.fragment,Y),oe=a(Y),N=s(Y,"P",{"data-svelte-h":!0}),H(N)!=="svelte-pec2ts"&&(N.innerHTML=fe),Y.forEach(n),u.forEach(n),B=a(e),w(x.$$.fragment,e),G=a(e),l=s(e,"DIV",{class:!0});var h=T(l);w(y.$$.fragment,h),ae=a(h),I=s(h,"P",{"data-svelte-h":!0}),H(I)!=="svelte-1cngx6g"&&(I.textContent=pe),re=a(h),U=s(h,"P",{"data-svelte-h":!0}),H(U)!=="svelte-1vsunav"&&(U.innerHTML=ge),ie=a(h),c=s(h,"DIV",{class:!0});var z=T(c);w(S.$$.fragment,z),se=a(z),A=s(z,"P",{"data-svelte-h":!0}),H(A)!=="svelte-12ivqpq"&&(A.textContent=ue),de=a(z),O=s(z,"OL",{"data-svelte-h":!0}),H(O)!=="svelte-1f9y5d6"&&(O.innerHTML=he),z.forEach(n),h.forEach(n),J=a(e),q=s(e,"P",{}),T(q).forEach(n),this.h()},h(){M(f,"name","hf:doc:metadata"),M(f,"content",Te),M(p,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(g,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(d,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(c,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8"),M(l,"class","docstring border-l-2 border-t-2 pl-4 pt-3.5 border-gray-100 rounded-tl-xl mb-6 mt-8")},m(e,r){t(document.head,f),m(e,K,r),m(e,V,r),m(e,W,r),D(v,e,r),m(e,j,r),m(e,d,r),D(b,d,null),t(d,Z),t(d,k),t(d,ee),t(d,p),D(_,p,null),t(p,te),t(p,E),t(d,ne),t(d,g),D($,g,null),t(g,oe),t(g,N),m(e,B,r),D(x,e,r),m(e,G,r),m(e,l,r),D(y,l,null),t(l,ae),t(l,I),t(l,re),t(l,U),t(l,ie),t(l,c),D(S,c,null),t(c,se),t(c,A),t(c,de),t(c,O),m(e,J,r),m(e,q,r),Q=!0},p:_e,i(e){Q||(L(v.$$.fragment,e),L(b.$$.fragment,e),L(_.$$.fragment,e),L($.$$.fragment,e),L(x.$$.fragment,e),L(y.$$.fragment,e),L(S.$$.fragment,e),Q=!0)},o(e){C(v.$$.fragment,e),C(b.$$.fragment,e),C(_.$$.fragment,e),C($.$$.fragment,e),C(x.$$.fragment,e),C(y.$$.fragment,e),C(S.$$.fragment,e),Q=!1},d(e){e&&(n(K),n(V),n(W),n(j),n(d),n(B),n(G),n(l),n(J),n(q)),n(f),P(v,e),P(b),P(_),P($),P(x,e),P(y),P(S)}}}const Te='{"title":"SetFitModel","local":"setfit.SetFitModel","sections":[],"depth":1}';function we(le){return $e(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Ce extends xe{constructor(f){super(),ye(this,f,we,Fe,be,{})}}export{Ce as component};
