import{s as M,n as q,o as E}from"../chunks/scheduler.7da89386.js";import{S as R,i as A,g as c,s as u,r as I,A as U,h as p,f as a,c as m,j as $,u as j,x as T,k,y as z,a as r,v as B,d as D,t as G,w as N}from"../chunks/index.0b7befd3.js";import{H as V}from"../chunks/Heading.8a936589.js";function J(F){let n,g,f,b,i,w,s,C='🤗 SetFit is an efficient and prompt-free framework for few-shot fine-tuning of <a href="https://sbert.net/" rel="nofollow">Sentence Transformers</a>. It achieves high accuracy with little labeled data - for instance, with only 8 labeled examples per class on the Customer Reviews sentiment dataset, 🤗 SetFit is competitive with fine-tuning RoBERTa Large on the full training set of 3k examples!',v,o,H="Compared to other few-shot learning methods, SetFit has several unique features:",x,d,L='<li>🗣 <strong>No prompts or verbalisers:</strong> Current techniques for few-shot fine-tuning require handcrafted prompts or verbalisers to convert examples into a format that’s suitable for the underlying language model. SetFit dispenses with prompts altogether by generating rich embeddings directly from text examples.</li> <li>🏎 <strong>Fast to train:</strong> SetFit doesn’t require large-scale models like T0 or GPT-3 to achieve high accuracy. As a result, it is typically an order of magnitude (or more) faster to train and run inference with.</li> <li>🌎 <strong>Multilingual support</strong>: SetFit can be used with any <a href="https://huggingface.co/models?library=sentence-transformers&amp;sort=downloads" rel="nofollow">Sentence Transformer</a> on the Hub, which means you can classify text in multiple languages by simply fine-tuning a multilingual checkpoint.</li>',y,l,P='<div class="w-full flex flex-col space-y-4 md:space-y-0 md:grid md:grid-cols-2 md:gap-y-4 md:gap-x-5"><a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./tutorials/placeholder"><div class="w-full text-center bg-gradient-to-br from-blue-400 to-blue-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Tutorials</div> <p class="text-gray-700">Learn the basics and become familiar with loading pretrained Sentence Transformers and fine-tuning them on data. Start here if you are using 🤗 SetFit for the first time!</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./how_to/placeholder"><div class="w-full text-center bg-gradient-to-br from-indigo-400 to-indigo-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">How-to guides</div> <p class="text-gray-700">Practical guides to help you achieve a specific goal. Take a look at these guides to learn how to use 🤗 SetFit to solve real-world problems.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./conceptual_guides/placeholder"><div class="w-full text-center bg-gradient-to-br from-pink-400 to-pink-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Conceptual guides</div> <p class="text-gray-700">High-level explanations for building a better understanding about important topics such as few-shot and contrastive learning.</p></a> <a class="!no-underline border dark:border-gray-700 p-5 rounded-lg shadow hover:shadow-lg" href="./api/main"><div class="w-full text-center bg-gradient-to-br from-purple-400 to-purple-500 rounded-lg py-1.5 font-semibold mb-5 text-white text-lg leading-relaxed">Reference</div> <p class="text-gray-700">Technical descriptions of how 🤗 SetFit classes and methods work.</p></a></div>',_,h,S;return i=new V({props:{title:"SetFit",local:"setfit",headingTag:"h1"}}),{c(){n=c("meta"),g=u(),f=c("p"),b=u(),I(i.$$.fragment),w=u(),s=c("p"),s.innerHTML=C,v=u(),o=c("p"),o.textContent=H,x=u(),d=c("ul"),d.innerHTML=L,y=u(),l=c("div"),l.innerHTML=P,_=u(),h=c("p"),this.h()},l(e){const t=U("svelte-u9bgzb",document.head);n=p(t,"META",{name:!0,content:!0}),t.forEach(a),g=m(e),f=p(e,"P",{}),$(f).forEach(a),b=m(e),j(i.$$.fragment,e),w=m(e),s=p(e,"P",{"data-svelte-h":!0}),T(s)!=="svelte-r2lb90"&&(s.innerHTML=C),v=m(e),o=p(e,"P",{"data-svelte-h":!0}),T(o)!=="svelte-shg4rg"&&(o.textContent=H),x=m(e),d=p(e,"UL",{"data-svelte-h":!0}),T(d)!=="svelte-ldktc2"&&(d.innerHTML=L),y=m(e),l=p(e,"DIV",{class:!0,"data-svelte-h":!0}),T(l)!=="svelte-1smu62v"&&(l.innerHTML=P),_=m(e),h=p(e,"P",{}),$(h).forEach(a),this.h()},h(){k(n,"name","hf:doc:metadata"),k(n,"content",K),k(l,"class","mt-10")},m(e,t){z(document.head,n),r(e,g,t),r(e,f,t),r(e,b,t),B(i,e,t),r(e,w,t),r(e,s,t),r(e,v,t),r(e,o,t),r(e,x,t),r(e,d,t),r(e,y,t),r(e,l,t),r(e,_,t),r(e,h,t),S=!0},p:q,i(e){S||(D(i.$$.fragment,e),S=!0)},o(e){G(i.$$.fragment,e),S=!1},d(e){e&&(a(g),a(f),a(b),a(w),a(s),a(v),a(o),a(x),a(d),a(y),a(l),a(_),a(h)),a(n),N(i,e)}}}const K='{"title":"SetFit","local":"setfit","sections":[],"depth":1}';function O(F){return E(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Y extends R{constructor(n){super(),A(this,n,O,J,M,{})}}export{Y as component};
